Get a Workers List

Returns a list of workers/talent in the system.
- For an Enterprise API user, this returns all Staff workers for the Users Enterprise and all Contractor Workers.
- For a Marketplace API User, this returns all Workers in the Marketplace (Staff for all Enterprises under the Marketplace and all Contractors under the Marketplace).
- For a Branch API User, this returns all Staff workers for the Users Branch’s Enterprises and all Contractor Workers.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
provider_id_list
array of int32s

A list of provider_ids to retrieve info about. This may also be used to retrieve just a single worker by supplying a one item list (such as [5]). Note: If other filtering parameters are passed, they will also be applied, so there is a possibility that some or all of the workers will not match the specified filters. As a result, not all of the workers may be returned.

provider_id_list
string

The unique identifier for an enterprise. If provided, it will return only those workers directly linked to the enterprise_id (staff workers for that enterprise) and all contractors. This parameter is ignored for an Enterprise API User.

string

The unique identifier for a branch within a given Marketplace. This is only used for a Marketplace API User. If provided, it will return only the workers linked to the branch. If both enterprise_id and branch_id are sent, the latter is ignored.

order_by
object

The order applied to the list. The returned list of workers can be ordered by any of the specified set of fields.

int32

The specific page to retrieve within a full list of requesters. If not specified, it defaults to page 1.

int32

The number of items to display per page. If not specified, it defaults to 25. The minimum page size is 1, and the maximum page size is 100.

system_filters
object

A list of standard system filters that can be applied to the worker list returned.

attrib_filters
object

A list of attributes and their values to filter the returned list of workers on. Each filter attribute should be a dictionary structured as follows. Note: Workers who have not submitted any choices or answers for a particular attribute will be excluded from filter results related to that attribute, as no comparison can be made if the attribute does not exist for the worker.

extra_attributes
array of int32s

A list of extra __attrib_id__s to be included beyond the standard default attributes that are returned for each worker’s profile (these are generally the First Name, Last Name, UserName, Vetted Status, Login Status, and the key attribute for the marketplace). The list of possible attribute IDs can be retrieved from the Get Attribute List API call using the Worker Registration realm.

extra_attributes
Headers
string
required
Defaults to Token <place token here>

The authorization token returned from the Log In endpoint.

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Choose an example:
application/json
text/plain